cancel
Showing results for 
Search instead for 
Did you mean: 

error after update

error after update

1 exception(s):
Exception #0 (Magento\Framework\Exception\LocalizedException): Please update your modules: Run "composer install" from the Magento root directory.
The following modules are outdated:
Magento_Customer db data version: defined in codebase - 2.0.12, currently installed - 2.0.9

Exception #0 (Magento\Framework\Exception\LocalizedException): Please update your modules: Run "composer install" from the Magento root directory.
The following modules are outdated:
Magento_Customer db data version: defined in codebase - 2.0.12, currently installed - 2.0.9
#0 /home/cottonlinen/public_html/vendor/magento/framework/Interception/Interceptor.php(121): Magento\Framework\Module\Plugin\DbStatusValidator->beforeDispatch(Object(Magento\Framework\App\FrontController\Interceptor), Object(Magento\Framework\App\Request\Http))
#1 /home/cottonlinen/public_html/vendor/magento/module-page-cache/Model/App/FrontController/BuiltinPlugin.php(73): Magento\Framework\App\FrontController\Interceptor->Magento\Framework\Interception\{closure}(Object(Magento\Framework\App\Request\Http))
#2 /home/cottonlinen/public_html/vendor/magento/framework/Interception/Interceptor.php(135): Magento\PageCache\Model\App\FrontController\BuiltinPlugin->aroundDispatch(Object(Magento\Framework\App\FrontController\Interceptor), Object(Closure), Object(Magento\Framework\App\Request\Http))
#3 /home/cottonlinen/public_html/vendor/magento/framework/Interception/Interceptor.php(153): Magento\Framework\App\FrontController\Interceptor->Magento\Framework\Interception\{closure}(Object(Magento\Framework\App\Request\Http))
#4 /home/cottonlinen/public_html/generated/code/Magento/Framework/App/FrontController/Interceptor.php(26): Magento\Framework\App\FrontController\Interceptor->___callPlugins('dispatch', Array, Array)
#5 /home/cottonlinen/public_html/vendor/magento/framework/App/Http.php(135): Magento\Framework\App\FrontController\Interceptor->dispatch(Object(Magento\Framework\App\Request\Http))
#6 /home/cottonlinen/public_html/generated/code/Magento/Framework/App/Http/Interceptor.php(24): Magento\Framework\App\Http->launch()
#7 /home/cottonlinen/public_html/vendor/magento/framework/App/Bootstrap.php(256): Magento\Framework\App\Http\Interceptor->launch()
#8 /home/cottonlinen/public_html/index.php(39): Magento\Framework\App\Bootstrap->run(Object(Magento\Framework\App\Http\Interceptor))
#9 {main}

 

I got this error after the update can any one advice how to solve it 

3 REPLIES

Re: error after update

Hi @marianaNc,

 

What if you run:

 

composer install

From your Magento root dir? (well, maybe composer update should be more accurate).

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: error after update

I got this when I run composer install I got this on terminal Loading composer repositories with package information Installing dependencies (including require-dev) from lock file Nothing to install or update Package sjparkinson/static-review is abandoned, you should avoid using it. Use phpro/grumphp instead. Generating autoload files

Re: error after update

Hi @marianaNc,

 

And after that?

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"